extends layout
block content
  h1 ADMIN Interface
  div.update
    p Falls die neu hochgeladenen Bilder immernoch nicht ngezeigt werden, den UPDATE button klicken
    button#updateButton(type="button") UPDATE
  hr.width100
  div.upload
    p Weitere Bilder können hier hochgeladen werden
    form.upload(action="/upload" method="post" enctype="multipart/form-data")
      label(for="author") Autor/Künstler
      br
      input.admin#author(type="text" name="author" placeholder="Autor")
      br
      label(for="selection") Skizze oder Malerei
      br
      input#selection(type='radio', name='folder', value='sketches')
      | Skizzen
      br
      input(type='radio', name='folder', value='paintings')
      | Malerei
      br
      label(for="date") Datum (wenn der genaue Tag nicht bekannt ist einfach den 1.1 und das richtige Jahr angeben)
      br
      input.admin#date(type="date" name="date")
      br
      label(for='description') Beschreibung vom Bild
      br
      textarea#description.admin(name='description', cols='40', rows='10' required)
      br
      label(for="price") Preis (wenn keiner vorhanden einfach leer lassen)
      br
      input.admin#price(type="text" name="price" placeholder="Preis")
      br
      label(for="size") Grösse in mm (nur zahlen (Bsp. 230x230) schreiben, kein mm)
      br
      input.admin#size(type="text" name="size" placeholder="Grösse")
      br
      label(for="style") Stil (Öl auf Leinwand, Kugelschreiber auf Papier)
      br
      input.admin#style(type="text" name="style" placeholder="Stil")
      br
      label(for="title") Name vom Bild
      br
      input.admin#title(type="text" name="title" placeholder="Name")
      br
      label(for="file") Bild hier hochladen
      br
      input.admin#file(type="file" name="file" placeholder="Bild Upload" accept=".jpg,.jpeg,.jpe,.jpc,.jp2,.j2k,.wdp,.jxr,.hdp,.png,.gif,.webp,.bmp,.tif,.tiff,.ico,.pdf,.ps,.ept,.eps,.eps3,.psd,.svg,.ai,.djvu,.flif,.tga")
      br
      button Upload
      //input.admin#uploadSubmit(type="submit" name="submit" value="HOCHLADEN")
    hr.width100
    div.adminStyles
      h1 Bilder
      each painting in paintings
        div.imgWrapper
          | !{painting.tag}
          input.deleteImage(type="button" name="#{painting.pubId}" value="Löschen")
          p.bildTitle.caption #{painting.title}
      br
      h1 Skizzen
      each sketch in sketches
        div.imgWrapper
          | !{sketch.tag}
          input.deleteImage(type="button" name="#{sketch.pubId}" value="Löschen")
          p.bildTitle #{sketch.title}